Package oracle.kv.mgmt.jmx

# Interface StorageNodeMXBean

public interface StorageNodeMXBean
This MBean represents the Storage Node's operational parameters.

The information that is published to the <kvroot>/log/<storename>.stats and <kvroot>/log/<storename>.perf files is also available through this MBean, via the standard javax.management.Notification mechanism. An application may subscribe to notifications from a given Storage Node by adding a notification listener with the name "Oracle NoSQL Database:type=StorageNode"

1. Notifications of type "oracle.kv.repnode.opmetric" contain a user data payload that is the full listing of performance metrics for a given RN. The stats are a string in JSON form, and are obtained via Notification.getUserData().
2. Notifications of type "oracle.kv.repnode.envmetric" contain a user data payload that is the full listing of detailed stats for a given RN. The stats are a string in JSON form and are obtained via Notification.getUserData().

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdminMountPoints()`
  Returns Admin mount points on this Storage node.
  `int`
  `getCapacity()`
  Returns the number of Replication Nodes that can be hosted on this Storage Node.
  `long`
  `getCollectorInterval()`
  Returns the collector service interval
  `String`
  `getHAHostname()`
  Returns the name of the network interface used for communication between Replication Nodes
  `String`
  `getHaPortRange()`
  Returns the range of port numbers available for assigning to Replication Nodes that are hosted on this Storage Node.
  `String`
  `getHostname()`
  Returns the name associated with the network interface on which this Storage Node's registry listens.
  `int`
  `getLogFileCount()`
  Returns the number of log files that are kept.
  `int`
  `getLogFileLimit()`
  Returns the maximum size of log files.
  `int`
  `getMemoryMB()`
  Returns the amount of memory known to be available on this Storage Node, in megabytes.
  `String`
  `getMountPoints()`
  Returns a list of file system mount points on which Replication Nodes can be deployed
  `int`
  `getNumCPUs()`
  Returns the number of CPUs known to be available on this Storage Node.
  `int`
  `getRegistryPort()`
  Returns the port number of the Storage Node's RMI registry.
  `String`
  `getRNLogMountPoints()`
  Returns a list of RN log mount points on which Replication Nodes logging can be done
  `String`
  `getRootDirPath()`
  Returns the pathname of the store's root directory.
  `String`
  `getServiceStatus()`
  Returns the reported service status of the Storage Node.
  `int`
  `getSnId()`
  Returns the StorageNodeId number of this Storage Node.
  `String`
  `getStoreName()`
  Returns the configured name of the store to which this Storage Node belongs.
  `boolean`
  `isHostingAdmin()`
  Returns true if this Storage Node hosts an Admin instance.

- ## Method Details

  - ### getSnId

    int getSnId()
    Returns the StorageNodeId number of this Storage Node.

  - ### getServiceStatus

    String getServiceStatus()
    Returns the reported service status of the Storage Node.

  - ### isHostingAdmin

    boolean isHostingAdmin()
    Returns true if this Storage Node hosts an Admin instance.

  - ### getRootDirPath

    String getRootDirPath()
    Returns the pathname of the store's root directory.

  - ### getStoreName

    String getStoreName()
    Returns the configured name of the store to which this Storage Node belongs.

  - ### getHaPortRange

    String getHaPortRange()
    Returns the range of port numbers available for assigning to Replication Nodes that are hosted on this Storage Node. A port is allocated automatically from this range when a Replication Node is deployed.

  - ### getHAHostname

    String getHAHostname()
    Returns the name of the network interface used for communication between Replication Nodes

  - ### getRegistryPort

    int getRegistryPort()
    Returns the port number of the Storage Node's RMI registry.

  - ### getCapacity

    int getCapacity()
    Returns the number of Replication Nodes that can be hosted on this Storage Node.

  - ### getHostname

    String getHostname()
    Returns the name associated with the network interface on which this Storage Node's registry listens.

  - ### getLogFileLimit

    int getLogFileLimit()
    Returns the maximum size of log files.

  - ### getLogFileCount

    int getLogFileCount()
    Returns the number of log files that are kept.

  - ### getMemoryMB

    int getMemoryMB()
    Returns the amount of memory known to be available on this Storage Node, in megabytes.

  - ### getNumCPUs

    int getNumCPUs()
    Returns the number of CPUs known to be available on this Storage Node.

  - ### getMountPoints

    String getMountPoints()
    Returns a list of file system mount points on which Replication Nodes can be deployed

  - ### getRNLogMountPoints

    String getRNLogMountPoints()
    Returns a list of RN log mount points on which Replication Nodes logging can be done

  - ### getAdminMountPoints

    String getAdminMountPoints()
    Returns Admin mount points on this Storage node.

  - ### getCollectorInterval

    long getCollectorInterval()
    Returns the collector service interval